BimpДовідка

Оплата постачальнику: методи API Bimp

Методи API Bimp для ресурсу «Оплата постачальнику» (/org2/paymentToSupplier/…): 5 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/paymentToSupplier/api-readListA request to view a list of supplier payments
POST /org2/paymentToSupplier/api-readA request to obtain detailed information for a particular supplier payment document
POST /org2/paymentToSupplier/api-createA request to create a new supplier payment document
POST /org2/paymentToSupplier/api-updateA request to update an existing supplier payment document
POST /org2/paymentToSupplier/api-cancelCancel a supplier payment document

api-readList

POST /org2/paymentToSupplier/api-readList

A request to view a list of supplier payments

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets
periodableobject[]Period range [from, to] (UTC ISO strings)
organizationsstring (uuid)[]A unique identifier for the Organization, obtainable from the /organization/api-readList request

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)A unique uuid key for a supplier payment document
[].numberstringThe document’s number. Use this field if you need to specify a custom number
[].currencystring (uuid) | null
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].commentstringAn optional text field for any additional notes or comments related to the document
[].namestring
[].counterpartystring (uuid) | null
[].authorstring (uuid) | null
[].organizationstring (uuid) | null
[].statusstring (uuid) | null
[].documentSumnumberTotal amount of the document
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-read

POST /org2/paymentToSupplier/api-read

A request to obtain detailed information for a particular supplier payment document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for the supplier payment document

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)A unique uuid key for a supplier payment document
numberstringThe document’s number. Use this field if you need to specify a custom number
currencystring (uuid) | null
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
namestring
counterpartystring (uuid) | null
authorstring (uuid) | null
organizationstring (uuid) | null
statusstring (uuid) | null
documentSumnumberTotal amount of the document
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
responsiblestring (uuid) | null
commissionnumberThe amount of the commission
sumnumberThe amount of the document
remaindernumberAggregate Balance
exchangeRateDifferencenumberAmount of Foreign Exchange Difference
paymentDetailsobject[]
paymentDetails[].contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
paymentDetails[].invoiceForSupplierPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
paymentDetails[].currencystring (uuid)A unique uuid key for a currency
paymentDetails[].calculationRatenumberCross Course
paymentDetails[].payednumberPayment amount
paymentDetails[].payedInContractCurrencynumberSettlement amount in contract currency
paymentDetails[].debtnumberThe current debt
paymentDetails[].exchangeRateDifferencenumberAmount of Foreign Exchange Difference
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-create

POST /org2/paymentToSupplier/api-create

A request to create a new supplier payment document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
counterpartystring (uuid)такA unique uuid key for a supplier
currencystring (uuid)такA unique uuid key for a currency
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringThe document’s number. Use this field if you need to specify a custom number
commentstringAn optional text field for any additional notes or comments related to the document
responsiblestring (uuid) | null
authorstring (uuid) | null
organizationstring (uuid) | null
statusstring (uuid) | null
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
commissionnumberThe amount of the commission
paymentDetailsobject[]
paymentDetails[].invoiceForSupplierPaymentstring (uuid)такA unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
paymentDetails[].payednumberтакPayment amount
paymentDetails[].calculationRatenumberCross Course

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)A unique uuid key for a supplier payment document
numberstringThe document’s number. Use this field if you need to specify a custom number
currencystring (uuid) | null
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
namestring
counterpartystring (uuid) | null
authorstring (uuid) | null
organizationstring (uuid) | null
statusstring (uuid) | null
documentSumnumberTotal amount of the document
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
responsiblestring (uuid) | null
commissionnumberThe amount of the commission
sumnumberThe amount of the document
remaindernumberAggregate Balance
exchangeRateDifferencenumberAmount of Foreign Exchange Difference
paymentDetailsobject[]
paymentDetails[].contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
paymentDetails[].invoiceForSupplierPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
paymentDetails[].currencystring (uuid)A unique uuid key for a currency
paymentDetails[].calculationRatenumberCross Course
paymentDetails[].payednumberPayment amount
paymentDetails[].payedInContractCurrencynumberSettlement amount in contract currency
paymentDetails[].debtnumberThe current debt
paymentDetails[].exchangeRateDifferencenumberAmount of Foreign Exchange Difference
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"counterparty":"00000000-0000-0000-0000-000000000000","currency":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/paymentToSupplier/api-update

A request to update an existing supplier payment document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for a supplier payment document
numberstringThe document’s number. Use this field if you need to specify a custom number
commentstringAn optional text field for any additional notes or comments related to the document
responsiblestring (uuid) | null
authorstring (uuid) | null
statusstring (uuid) | null
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
commissionnumberThe amount of the commission
currencystring (uuid) | null
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
paymentDetailsobject[]
paymentDetails[].invoiceForSupplierPaymentstring (uuid)такA unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
paymentDetails[].payednumberтакPayment amount
paymentDetails[].calculationRatenumberCross Course

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)A unique uuid key for a supplier payment document
numberstringThe document’s number. Use this field if you need to specify a custom number
currencystring (uuid) | null
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
commentstringAn optional text field for any additional notes or comments related to the document
namestring
counterpartystring (uuid) | null
authorstring (uuid) | null
organizationstring (uuid) | null
statusstring (uuid) | null
documentSumnumberTotal amount of the document
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
responsiblestring (uuid) | null
commissionnumberThe amount of the commission
sumnumberThe amount of the document
remaindernumberAggregate Balance
exchangeRateDifferencenumberAmount of Foreign Exchange Difference
paymentDetailsobject[]
paymentDetails[].contractstring (uuid)The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
paymentDetails[].invoiceForSupplierPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
paymentDetails[].currencystring (uuid)A unique uuid key for a currency
paymentDetails[].calculationRatenumberCross Course
paymentDetails[].payednumberPayment amount
paymentDetails[].payedInContractCurrencynumberSettlement amount in contract currency
paymentDetails[].debtnumberThe current debt
paymentDetails[].exchangeRateDifferencenumberAmount of Foreign Exchange Difference
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-cancel

POST /org2/paymentToSupplier/api-cancel

Cancel a supplier payment document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for the supplier payment document

Відповідь: поле data

ПолеТипОпис
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/paymentToSupplier/api-cancel' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.